Bug 227189 - "hdb: drive not ready for command" error when ide_cd module is used
"hdb: drive not ready for command" error when ide_cd module is used
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-02-02 19:52 EST by Bill Strossman
Modified: 2008-02-07 23:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 23:25:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output from dmesg (24.80 KB, text/plain)
2007-02-02 19:52 EST, Bill Strossman
no flags Details

  None (edit)
Description Bill Strossman 2007-02-02 19:52:54 EST
Description of problem:

With updated kernel 2.6.19-1.2895 my PHILIPS DVD+/-RW DVD8801 is always seen as
"Busy" when the ide_cd module is used AND the drive is the slave to my 
TSSTcorpDVD-ROM TS-H352C DVD-ROM.  When I reverse the master/slave relationship,
both drives work fine.  I can also make the DVD8801 work as a slave by using the
ide-scsi module.

Version-Release number of selected component (if applicable):

kernel 2.6.19-1.2895

How reproducible:

Boot with the 2.6.19-1.2895 kernel and try to mount a CD/DVD.  Try to add the
device with K3b

Steps to Reproduce:
1.  Boot with 2.6.19-1.2895 kernel
2.  Insert a data CD/DVD and try to mount it with "mount -t iso9660 ..."
3.  Start K3b 
4.  Settings --> Configure K3b --> Devices --> Add device
Actual results:

(1) log contains many "...drive not ready for command" messages
(2) command hangs for a few minutes and may or may not mount the CD/DVD
(3 & 4) program spends about 10 seconds "Dectecting CD Devices" after which the
writer (DVD8801) does not show up in the device list.  Attempts to manually add
it fail. 

Expected results:

(1 & 2) log should not contain "drive not ready..." messages and the mount
command should succeed - taking a second or less.
(3 & 4) DVD8801 should show up in the device list - negating the need to add it

Additional info:

    Everything works fine with the 2.6.18-1.2798.fc6 kernel using the ide_cd module.
Also tested with the vanilla kernels, 2.6.19, and Everything
works as expected with, but the problem again crops up in 2.6.19 and In the 2.6.19 case, starting K3b results in a kernel freeze, requiring
a hard reset.
    Sometimes, if the attempt to mount the CD/DVD succeeds after several
seconds, the DVD8801 behaves normally (subsequent mounts happen quickly and the
drive can be detected by K3b).
    May be related to Bug #163474.  Not sure.
    dmesg output is attached.
Comment 1 Bill Strossman 2007-02-02 19:52:54 EST
Created attachment 147264 [details]
output from dmesg
Comment 2 Jon Stanley 2008-01-07 20:52:19 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:25:07 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.